### Method

# Camel Folder dup_full_name

since: 3.8

#### Declaration [src]

    gchar*
    camel_folder_dup_full_name (
      CamelFolder* folder
    )

#### Description [src]

Thread-safe variation of camel_folder_get_full_name(). Use this function when accessing `folder` from multiple threads.

The returned string should be freed with `g_free()` when no longer needed.

Available since: 3.8

#### Return value

Type: `gchar*`

A newly-allocated copy of `CamelFolder:full-name`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.